Bug 782476

Summary: Propose that you turn on PrivateTmp=true in service file.
Product: [Fedora] Fedora Reporter: Daniel Walsh <dwalsh>
Component: apcupsdAssignee: Michal Hlavinka <mhlavink>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mhlavink
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-07 09:33:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 782466    

Description Daniel Walsh 2012-01-17 10:16:53 EST
I would like to propose using PrivateTmp for apcupsd, to make it more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Daniel Walsh 2012-02-06 15:45:58 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.


Thanks for your help.
Comment 2 Michal Hlavinka 2012-02-07 09:33:52 EST
> If you do not believe this application uses /tmp than please comment on this
and close the bug. 

closing
Comment 3 Daniel Walsh 2012-02-07 09:57:54 EST
Michal, any chance this command does bash redirection?

command << _EOF
...
_EOF
Comment 4 Michal Hlavinka 2012-02-07 10:24:02 EST
(In reply to comment #3)
> Michal, any chance this command does bash redirection?
> 
> command << _EOF
> ...
> _EOF

This is here-document. Anything between command and _EOF will be put on command's stdin
Comment 5 Daniel Walsh 2012-02-07 14:27:40 EST
Right and the way this is implemented in Bash is with temporary files in /tmp.